{% extends 'base.html.twig' %}


{% block body %}
	<div style="margin-left:10px">
		<h1 style="text-decoration: underline;">Les Annonces :</h1><br>
		<div class="container">
			<div class="row">
				{% for annonce in annonces|reverse %}
					<div class="col-md-4 mt-3">
						<div class="card mb-3 h-60">
							<h3 class="card-header" style="background-color: rgb(60, 65, 68); color : #fff;">{{annonce.nomAnnonce}}</h3>
							<img src="{{ annonce.image }}" class="center" alt="card image" height="200" width="100%" style="border: 5px">
							<div class="card-body">
								<p class="card-text">{{annonce.description}}</p>
								<hr>
							</div>
							<div class="card-body">
								<p class="card-text">{{annonce.unEmplacement}}</p>
							</div>
							<div class="card-body">
								<p class="card-text">Vendeur :
									{{annonce.leVendeur}}</p>
							</div>
							<div class="card-body">
								{% if app.user and annonce in app.user.lesAnnonces %}
									<h5>
										<span class="badge bg-success">A Vous</span>
									</h5>

								{% endif %}
								{% if annonce.id in panier|keys %}
									<h5>
										<span class="badge bg-warning">Dans votre panier</span>
									</h5>
								{% endif %}
							</div>
							<a href="{{ path("show", {'id': annonce.id}) }}" class='btn btn-outline-dark'>Voir plus</a>

						</div>
					</div>

					<br>
					<br>
				{% endfor %}
			</div>
		</div>
	</div>

{% endblock %}
